Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA11DeviceDescriptorBinderImpl

    java.lang.Object
      org.teleal.cling.binding.xml.UDA11DeviceDescriptorBinderImpl

All Implemented Interfaces:
  DeviceDescriptorBinder

    public class UDA11DeviceDescriptorBinderImpl

extends Object
implements DeviceDescriptorBinder

TODO: Not used

Nested Class Summary
`static class` | `UDA11DeviceDescriptorBinderImpl.ClasspathEntityResolver`
`static class` | `UDA11DeviceDescriptorBinderImpl.DescriptorContentHandler`
`static class` | `UDA11DeviceDescriptorBinderImpl.DescriptorErrorHandler`

Field Summary
`static String` | `JAXP_SCHEMA_LANGUAGE`
`static String` | `NAMESPACE_URI`
`protected Schema` | `schema`
`static String` | `SCHEMA_RESOURCE`

Constructor Summary
`UDA11DeviceDescriptorBinderImpl()`

Method Summary
`protected Schema` | `createSchema()`
`
`<T extends Device> T`
` | `describe(T undescribedDevice, String descriptorXml)`
`String` | `generate(Device device)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

### SCHEMA_RESOURCE

    public static final String SCHEMA_RESOURCE

See Also:
  Constant Field Values

### JAXP_SCHEMA_LANGUAGE

    public static final String JAXP_SCHEMA_LANGUAGE

See Also:
  Constant Field Values

### schema

    protected final Schema schema

Constructor Detail

### UDA11DeviceDescriptorBinderImpl

    public UDA11DeviceDescriptorBinderImpl()

Method Detail

### createSchema

    protected Schema createSchema()

### describe

    public <T extends Device> T describe(T undescribedDevice,
                                         String descriptorXml)
                              throws DescriptorBindingException

  Specified by:
    `describe` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`

### generate

    public String generate(Device device)
                    throws DescriptorBindingException

  Specified by:
    `generate` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.